REST APILinkLink Accounts

PATCH

Updates a Link account's details. Supports updating name, description, status, credentials, and whitelisting flag.

Path Params

  • enterpriseId string required
    Your enterprise id.

    at least 1 characters · matches ^[0-9a-f]{32}$

  • accountId string required
    The account ID to update.

Header Params

  • user-id string required
    User id of the user making the request.

    at least 1 characters

Body Params

object

Updated Link Account details
  • name string
    Updated account name. Must be unique within the enterprise, max 60 characters.

    at least 1 characters

  • description string
    Updated account description. Max 256 characters.

    at least 1 characters

  • status string enum
    Updated account status. Only active or inactive allowed.
    activeinactive
  • credentials array of objects
    credentials object
    • credentials string required

      at least 1 characters

    • expirationDate string date-time
    • id string required
      Credential id (returned by POST/GET account)
    • iv string required

      at least 1 characters

    • masterKeyVersion number required
    • tag string required

      at least 1 characters

    • wrappedKey string required

      at least 1 characters

  • whitelistingEnabled boolean
    Updated whitelisting flag.

Responses

200
OK

Response Body

object

  • id string required
  • venueId string required

    at least 1 characters

  • credentials array of objects required
    credentials object
    • id string required
    • accessLevels array of string enums required
      readwriteread_write
    • expirationDate string

      at least 1 characters

  • status string enum required
    activeinactivedeletedpending_credentials
  • name string required

    at least 1 characters

  • description string required

    at least 1 characters

  • whitelistingEnabled boolean required
  • parentAccount string
  • users array of objects
    users object
    • permissions array of string enums required
      link.account.adminlink.account.transferlink.account.view
    • userId string required

      at least 1 characters

  • createdDate string date-time required
  • modifiedDate string date-time required
400
Bad Request
No response body
401
Unauthorized

Response Body

object

  • errorName string required
  • error string required
404
Not Found

Response Body

object

  • errorName string required
  • error string required
409
Conflict

Response Body

object

  • errorName string required
  • error string required
422
Unprocessable Entity

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required